plugins {
    id("java")
}

group = "com.alttd.altitudeweb"
version = "0.0.1-SNAPSHOT"

repositories {
    mavenCentral()
}

dependencies {
    implementation(project(":open_api"))
    compileOnly("org.projectlombok:lombok:1.18.38")
    annotationProcessor("org.projectlombok:lombok:1.18.38")
    implementation("org.mybatis:mybatis:3.5.13")
    compileOnly("org.slf4j:slf4j-api:2.0.17")
    compileOnly("org.slf4j:slf4j-simple:2.0.17")
    compileOnly("org.jetbrains:annotations:26.0.2")
}

tasks.test {
    useJUnitPlatform()
}
